Delete File

​

Delete a file you uploaded. Only the uploader can delete a file; other users it is shared with receive 403. After deletion, status and download return 404.

Path Parameters

  • File ID

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/files/{file_uuid}
curl 'https://ai.hatz.ai/v1/files/{file_uuid}' \
  --request DELETE \
  --header 'X-API-Key: YOUR_SECRET_TOKEN'
{
  "file_uuid": "8fb5bc1d-5a8d-4015-86a6-b0ca394e7793",
  "storage_version": 2,
  "deleted": true
}